Stoop
Posts: 13
Joined: Wed Feb 11, 2015 1:09 am

Can't update to latest Raspbian

Wed Dec 02, 2015 7:42 pm

I was looking at https://www.raspberrypi.org/blog/latest-raspbian-update and thought, yes I'll have me some of that, but none of my sudo apt-get commands will work.

First my sudo apt-get update gives me this ...

Hit http://mirrordirector.raspbian.org wheezy Release.gpg
Hit http://archive.raspberrypi.org wheezy Release.gpg
Hit http://raspberrypi.collabora.com wheezy Release.gpg
Hit http://mirrordirector.raspbian.org wheezy Release
Hit http://archive.raspberrypi.org wheezy Release
Hit http://raspberrypi.collabora.com wheezy Release
Hit http://mirrordirector.raspbian.org wheezy/main armhf Packages
Hit http://archive.raspberrypi.org wheezy/main armhf Packages
Hit http://raspberrypi.collabora.com wheezy/rpi armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/contrib armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/non-free armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/rpi armhf Packages
Ign http://archive.raspberrypi.org wheezy/main Translation-en_US
Ign http://raspberrypi.collabora.com wheezy/rpi Translation-en_US
Ign http://archive.raspberrypi.org wheezy/main Translation-en
Ign http://raspberrypi.collabora.com wheezy/rpi Translation-en
Ign http://mirrordirector.raspbian.org wheezy/contrib Translation-en_US
Ign http://mirrordirector.raspbian.org wheezy/contrib Translation-en
Ign http://mirrordirector.raspbian.org wheezy/main Translation-en_US
Ign http://mirrordirector.raspbian.org wheezy/main Translation-en
Ign http://mirrordirector.raspbian.org wheezy/non-free Translation-en_US
Ign http://mirrordirector.raspbian.org wheezy/non-free Translation-en
Ign http://mirrordirector.raspbian.org wheezy/rpi Translation-en_US
Ign http://mirrordirector.raspbian.org wheezy/rpi Translation-en
Reading package lists... Done

Then my sudo apt-get dist-upgrade gives me this ...

Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

So, nothing upgraded and when I try to install the individual packages, eg sudo apt-get install nodered I get ...

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package nodered


What am I doing wrong?

fruitoftheloom
Posts: 20444
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: Can't update to latest Raspbian

Wed Dec 02, 2015 7:52 pm

Stoop wrote:I was looking at https://www.raspberrypi.org/blog/latest-raspbian-update and thought, yes I'll have me some of that, but none of my sudo apt-get commands will work.

First my sudo apt-get update gives me this ...

Hit http://mirrordirector.raspbian.org wheezy Release.gpg
Hit http://archive.raspberrypi.org wheezy Release.gpg
Hit http://raspberrypi.collabora.com wheezy Release.gpg
Hit http://mirrordirector.raspbian.org wheezy Release
Hit http://archive.raspberrypi.org wheezy Release
Hit http://raspberrypi.collabora.com wheezy Release
Hit http://mirrordirector.raspbian.org wheezy/main armhf Packages
Hit http://archive.raspberrypi.org wheezy/main armhf Packages
Hit http://raspberrypi.collabora.com wheezy/rpi armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/contrib armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/non-free armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/rpi armhf Packages
Ign http://archive.raspberrypi.org wheezy/main Translation-en_US
Ign http://raspberrypi.collabora.com wheezy/rpi Translation-en_US
Ign http://archive.raspberrypi.org wheezy/main Translation-en
Ign http://raspberrypi.collabora.com wheezy/rpi Translation-en
Ign http://mirrordirector.raspbian.org wheezy/contrib Translation-en_US
Ign http://mirrordirector.raspbian.org wheezy/contrib Translation-en
Ign http://mirrordirector.raspbian.org wheezy/main Translation-en_US
Ign http://mirrordirector.raspbian.org wheezy/main Translation-en
Ign http://mirrordirector.raspbian.org wheezy/non-free Translation-en_US
Ign http://mirrordirector.raspbian.org wheezy/non-free Translation-en
Ign http://mirrordirector.raspbian.org wheezy/rpi Translation-en_US
Ign http://mirrordirector.raspbian.org wheezy/rpi Translation-en
Reading package lists... Done

Then my sudo apt-get dist-upgrade gives me this ...

Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

So, nothing upgraded and when I try to install the individual packages, eg sudo apt-get install nodered I get ...

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package nodered


What am I doing wrong?
afaiaa the update is for Raspbian Jessie which is the current stable release
Retired disgracefully.....

User avatar
kusti8
Posts: 3439
Joined: Sat Dec 21, 2013 5:29 pm
Location: USA

Re: Can't update to latest Raspbian

Wed Dec 02, 2015 7:56 pm

You need to do a special procedure or just start fresh:
viewtopic.php?f=66&t=121880
There are 10 types of people: those who understand binary and those who don't.

User avatar
DougieLawson
Posts: 35790
Joined: Sun Jun 16, 2013 11:19 pm
Location: Basingstoke, UK
Contact: Website Twitter

Re: Can't update to latest Raspbian

Wed Dec 02, 2015 8:12 pm

You need to upgrade to Jessie to get NodeRED. It may be easier to build a fresh SDCard with a new download of Raspbian or NOOBS.
Note: Having anything humorous in your signature is completely banned on this forum. Wear a tin-foil hat and you'll get a ban.

Any DMs sent on Twitter will be answered next month.

This is a doctor free zone.

borpin
Posts: 24
Joined: Sun Jul 19, 2015 12:51 pm

Re: Can't update to latest Raspbian

Sat Dec 05, 2015 1:25 pm

I have a minimal install of Jessie and I am getting this "Unable to locate package nodered" error as well.

fruitoftheloom
Posts: 20444
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: Can't update to latest Raspbian

Sat Dec 05, 2015 1:36 pm

borpin wrote:I have a minimal install of Jessie and I am getting this "Unable to locate package nodered" error as well.
If you install the latest full Raspbian Jessie Standalone it will solve your issue

https://www.raspberrypi.org/downloads/raspbian
Retired disgracefully.....

borpin
Posts: 24
Joined: Sun Jul 19, 2015 12:51 pm

Re: Can't update to latest Raspbian

Sat Dec 05, 2015 1:45 pm

Yes but I do not want the full (bloated) version. What I have works really nicely (it is a fresh Jessie minimal install via the repository).

What I'd like is Node-red but it is not in the repository (AFAICS) so the command in the blog post does not work.

fruitoftheloom
Posts: 20444
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: Can't update to latest Raspbian

Sat Dec 05, 2015 1:54 pm

borpin wrote:Yes but I do not want the full (bloated) version. What I have works really nicely (it is a fresh Jessie minimal install via the repository).

What I'd like is Node-red but it is not in the repository (AFAICS) so the command in the blog post does not work.
Did you ?

Code: Select all

apt-get update
apt-get dist-upgrade
http://nodered.org/docs/hardware/raspberrypi.html
Retired disgracefully.....

dgordon42
Posts: 760
Joined: Tue Aug 13, 2013 6:55 pm
Location: Dublin, Ireland

Re: Can't update to latest Raspbian

Sat Dec 05, 2015 3:08 pm

Node-red is available in Raspbian Jessie

Code: Select all

 apt-cache policy nodered
nodered:
  Installed: (none)
  Candidate: 0.12.1
  Version table:
     0.12.1 0
        500 http://archive.raspberrypi.org/debian/ jessie/main armhf Packages
Dave.

borpin
Posts: 24
Joined: Sun Jul 19, 2015 12:51 pm

Re: Can't update to latest Raspbian

Sat Dec 05, 2015 5:39 pm

Ok so it seems you are pointing to http://archive.raspberrypi.org/debian/d ... f/Packages which does have nodered listed

My apt sources.list is pointing to http://mirrordirector.raspbian.org/rasp ... f/Packages which does *not* have nodered listed

Am I right in thinking the repositories are out of step. Which is the right one to use?

User avatar
rpdom
Posts: 14984
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: Can't update to latest Raspbian

Sat Dec 05, 2015 6:06 pm

borpin wrote:Am I right in thinking the repositories are out of step. Which is the right one to use?
Both.

The raspbian one contains the equivalent of the Debian repository. i.e. the majority of the software.

The raspberrypi one contains software that has been written or modified specifically for the Pi.

You'll usually find the raspbian one listed in /etc/apt/sources.list, and the raspberrypi one in /etc/apt/sources.list.d/raspi (or something like that, I can't check at the moment).

dgordon42
Posts: 760
Joined: Tue Aug 13, 2013 6:55 pm
Location: Dublin, Ireland

Re: Can't update to latest Raspbian

Sat Dec 05, 2015 6:26 pm

My /etc/apt/sources.list, from a clean install of Raspbian Jessie:

Code: Select all

deb http://mirrordirector.raspbian.org/raspbian/ jessie main contrib non-free rpi
# Uncomment line below then 'apt-get update' to enable 'apt-get source'
#deb-src http://archive.raspbian.org/raspbian/ jessie main contrib non-free rpi
My /etc/apt/sources.list.d/raspi.list

Code: Select all

deb http://archive.raspberrypi.org/debian/ jessie main ui
# Uncomment line below then 'apt-get update' to enable 'apt-get source'
deb-src http://archive.raspberrypi.org/debian/ jessie main ui
Hope this helps,
Dave.

borpin
Posts: 24
Joined: Sun Jul 19, 2015 12:51 pm

Re: Can't update to latest Raspbian

Sun Dec 06, 2015 1:22 am

Ok thanks. What I had missed was that these were different domains. My sources.list has 2 entries;

deb http://mirrordirector.raspbian.org/raspbian jessie main firmware
deb http://archive.raspberrypi.org/debian wheezy main

It is obvious now that the second needs to point to jessie not wheezy!

Thanks for your help. I have it installed.

Return to “General discussion”